osl::game_playing::SpeculativeAllMoves::ResultVector Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Types | Private Attributes | List of all members
osl::game_playing::SpeculativeAllMoves::ResultVector Class Reference

`#include <speculativeAllMoves.h>`

Collaboration diagram for osl::game_playing::SpeculativeAllMoves::ResultVector:
[legend]

## Public Member Functions
| ResultVector ()
| ~ResultVector ()
void | add (Move prediction, const MoveWithComment &result)
const MoveWithComment * | find (Move prediction) const
void | clear ()
void | show (std::ostream &) const

## Private Types
typedef FixedCapacityVector < std::pair< Move, MoveWithComment > , Move::MaxUniqMoves > | vector_t
typedef LightMutex | Mutex

## Private Attributes
vector_t | data
Mutex | mutex

## Detailed Description

Definition at line 71 of file speculativeAllMoves.h.

## Member Typedef Documentation

typedef LightMutex osl::game_playing::SpeculativeAllMoves::ResultVector::Mutex
| private

Definition at line 75 of file speculativeAllMoves.h.

typedef FixedCapacityVector<std::pair<Move,MoveWithComment>,Move::MaxUniqMoves> osl::game_playing::SpeculativeAllMoves::ResultVector::vector_t
| private

Definition at line 73 of file speculativeAllMoves.h.

## Constructor & Destructor Documentation

osl::game_playing::SpeculativeAllMoves::ResultVector::ResultVector | ( | ) |  |

Definition at line 30 of file speculativeAllMoves.cc.

osl::game_playing::SpeculativeAllMoves::ResultVector::~ResultVector | ( | ) |  |

Definition at line 35 of file speculativeAllMoves.cc.

## Member Function Documentation

void osl::game_playing::SpeculativeAllMoves::ResultVector::add | ( | Move | prediction,
|  | const MoveWithComment & | result
| ) |  |

Definition at line 40 of file speculativeAllMoves.cc.

References SCOPED_LOCK.

void osl::game_playing::SpeculativeAllMoves::ResultVector::clear | ( | ) |  |

Definition at line 56 of file speculativeAllMoves.cc.

References SCOPED_LOCK.

const osl::search::MoveWithComment * osl::game_playing::SpeculativeAllMoves::ResultVector::find | ( | Move | prediction) |  | const

Definition at line 46 of file speculativeAllMoves.cc.

References SCOPED_LOCK.

void osl::game_playing::SpeculativeAllMoves::ResultVector::show | ( | std::ostream & | os) |  | const

Definition at line 62 of file speculativeAllMoves.cc.

References SCOPED_LOCK, and osl::record::csa::show().

## Member Data Documentation

vector_t osl::game_playing::SpeculativeAllMoves::ResultVector::data
| private

Definition at line 74 of file speculativeAllMoves.h.

Mutex osl::game_playing::SpeculativeAllMoves::ResultVector::mutex
| mutableprivate

Definition at line 76 of file speculativeAllMoves.h.

The documentation for this class was generated from the following files:

- speculativeAllMoves.h
- speculativeAllMoves.cc